/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.registry.jdbc.urlhandlers;

import org.wso2.registry.Resource;
import org.wso2.registry.RegistryException;
import org.wso2.registry.jdbc.ConnectionFactory;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class URLHandlerManager {

    private List urlHandlers = new ArrayList();

    public URLHandlerManager(ConnectionFactory connectionFactory) {
        
        urlHandlers.add(new CommentURLHandler(connectionFactory));
        urlHandlers.add(new CommentCollectionURLHandler(connectionFactory));
    }

    public Resource handleURL(String url)
            throws RegistryException {

        Resource resource = new Resource();

        Iterator i = urlHandlers.iterator();
        while (i.hasNext()) {
            URLHandler urlHandler = (URLHandler) i.next();

            if (urlHandler.handleURL(url, resource)) {
                return resource;
            }
        }

        return null;
    }
}
